Skip to main content
GET
Read the repository main branch

Authorizations

Authorization
string
header
required

workspace API token (sk_akua_...) or OAuth2 JWT. Create tokens at https://akua.dev/developers/api-tokens

Headers

akua-context
string

Optional workspace/scope context for the request. Carries a single workspace wire id (ws_…) today. Only needed for broad tokens - a workspace-owned token implies its workspace.

Required string length: 1 - 53
Example:

"ws_j572abc123def456"

Path Parameters

id
string
required
Required string length: 1 - 55

Response

RepositoryBranch

repository_id
string
required
Minimum string length: 1
remote_url
string<uri>
required
branch
enum<string>
required
Available options:
main
commit_sha
string | null
required
Pattern: ^[a-f0-9]{40}$